//
// Virtual Reality ROTT API
//
//

//
// All angles in ROTT are [0..2048)
// there are no negative angles so all angles must be normalized
//

// INT 0x33 AX = 0x30
// GetVRInput
//
// Registers passed into interrupt:
//
// BX = current player angle [0..2048)
// CX = current player tilt angle [0..2048)
//      looking up angles [0..171]
//      looking down angles [2047..1876]
//
// Registers after interrupt:
//
// BX = button status of VR input device
//      bits are as follow:
//      VR_RUNBUTTON           (0)
//      VR_STRAFELEFTBUTTON    (1)
//      VR_STRAFERIGHTBUTTON   (2)
//      VR_ATTACKBUTTON        (3)
//      VR_LOOKUPBUTTON        (4)
//      VR_LOOKDOWNBUTTON      (5)
//      VR_SWAPWEAPONBUTTON    (6)
//      VR_USEBUTTON           (7)
//      VR_HORIZONUPBUTTON     (8)
//      VR_HORIZONDOWNBUTTON   (9)
//      VR_MAPBUTTON           (10)
//      VR_PISTOLBUTTON        (11)
//      VR_DUALPISTOLBUTTON    (12)
//      VR_MP40BUTTON          (13)
//      VR_MISSILEWEAPONBUTTON (14)
//      VR_RECORDBUTTON        (15)
//
// CX = Mouse X mickeys
// DX = Mouse Y mickeys


// INT 0x33 AX = 0x31
// VRFeedback
//
// Registers passed into interrupt:
//
// BX = [0..1]
//      0 - Stop Feedback
//      1 - Start Feedback
//
// CX = [1..2]
//      0 - Gun Weapon
//      1 - Missile Weapon

